Skip to Content
AccountingOpening Balances

Set the Opening Balance for a Ledger

PUT
/v0/business/{business_id}/ledger/{ledger_id}/opening-balance

Scopes: ledger:update

Authorization

OAuth2ClientCredentialsBearer ledger:update
headerAuthorizationBearer <token>

Scope: ledger:update

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string
ledger_id*Ledger Id

The id of the ledger

Formatldg_string

Request Body

application/json
  1. body
amount*|

The opening balance for this ledger as of the business entries start date. Positive values represent the normal balance side of the ledger, negative values represent the opposite side.

currency?|

For a foreign-currency account, the ISO 4217 currency of original_currency_amount. Set together with original_currency_amount; omit both for a home-currency opening balance.

original_currency_amount?||

For a foreign-currency account, the opening balance in the account currency, given as a magnitude -- its balance side follows the sign of amount. Set together with currency.

Response Body

Successful Response

application/json
  1. response
data*
Example Request
curl -X PUT 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/ledger/ldg_WQMDNUHpBThYSNh4AprDBo/opening-balance' \  -H 'Content-Type: application/json' \  -d '{  "amount": "1000.00"}'
Example Response
{  "data": {    "ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",    "amount": 1000,    "currency": "CAD",    "original_currency_amount": "1000.00"  }}